View Issue Details

IDProjectCategoryView StatusLast Update
0007053mantisbttoolspublic2013-08-16 06:33
Reportervboctor Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
Status acknowledgedResolutionopen 
Product Version1.0.3 
Target VersionFixed in Version 
Summary0007053: Mantis Plugin for Cropper (a free screen capture utility for Windows)
Description

It is often needed to taken screenshots and attach them to Mantis issue. I've decided to look for one that is free and can integrate well with Mantis. I've found Cropper ( http://blogs.geekdojo.net/brian/comments/9730.aspx ) to be a good one. It requires Windows and .NET.

I've implemented a plug-in for Cropper that saves the snapshot as a JPG and puts the full path to the captured filename in the clipboard. This way the file path can be pasted into the issue report or issue view pages to attach the screenshot to the issue.

This tool + the plugin achieve the following:

  1. A powerful, slick, and easy to use tool for screen captures. Ability to capture whole screen, current window, or a specified region.
  2. Saving of snapshots in a compressed format without extra work.
  3. Simple yet useful integration with Mantis.

To install this plug-in, download Cropper v1.8, install it, then place Futureware.Mantis.Cropper.dll into the following path:
"C:\Program Files\Fusion8Design\Cropper\plugins\Futureware.Mantis.Cropper.dll". This assumes that Cropper is installed in it's default path. The plug-in can be found in the Futureware.Mantis.Cropper\bin\Release\ folder inside the zip file.

It is recommended to use the following Cropper settings:

  1. Turn off Thumbnail, even if you have it ON, the Mantis plug-in will delete it since it is not used by Mantis.
  2. Select Output->Mantis.
  3. In Options, Output, set "Full Image Name Template" to {prompt} and "Thumbail Image Name Template" to "{prompt} tn".
  4. In Options, Capturing, "Use Cropper to save Print screen images." is ticked.

This issue is dedicated to Cropper, and possibility recommendation of other tools. However, in the case where someone has implemented some similar plug-in that works with another tool, please report this as a separate issue and refer to it from here.

I'm really interested to get feedback about this or similar tools that you have been using with Mantis.

TagsNo tags attached.

Relationships

has duplicate 0005015 closedgrangeway Upload screenshots/screen captures and clipboard images 
related to 0007288 closedatrol Add Functionality to paste a screen shot 
related to 0008659 closedatrol Snap-shot 
related to 0010739 closeddregad Inserting Snapshot into bug description in an easier way 
related to 0012406 closedatrol Screenshot Tool 

Activities

2006-05-08 08:01

 

Futureware.Mantis.Cropper.zip (28,029 bytes)
kgrubbs

kgrubbs

2006-05-19 00:06

reporter   ~0012877

Very neat tool! I would prefer, however, if the copy the file path to clipboard feature was added into Cropper itself if that is possible. I know you dont control that code, but maybe you can talk to Brian. Mainly because I would prefer to be able to choose my output format (I much prefer Png over Jpeg for screen shots... smaller file size and much cleaner output). This could be written into the mantis plugin, of course, but you would just be adding menu items below the mantis output menu item that list all the other output types, which seems redundant. (hopefully that makes sense)

romat

romat

2006-05-19 04:29

reporter   ~0012878

Last edited: 2006-05-21 10:33

There is another great free software which offers this functionality - Screenshot Captor ( http://www.donationcoder.com/Software/Mouser/screenshotcaptor/index.html ). Ability to copy screenshot path to clipboard is a built-in feature since v2.13.01 (so you don't have to install any plugin, just check it in preferences) and it allows to choose output format as kgrubbs requires.

pardini

pardini

2006-05-31 13:28

reporter   ~0012920

This is really neat. I do think PNG format would be better.
Also some tools (commercial ones, like TechSmith's SnagIt) are able to capture scrolling windows (like big webpages) into one single image, which is very useful.

jfirestone

jfirestone

2006-05-31 17:38

reporter   ~0012921

New feature request! How about something that allows us to take a snapshot and forward that directly into a new mantis ticket?

I've been keeping an eye on FogBugz, and there's a similar tool available for it that sits in your Tray just like Cropper does. Select it when you want to snap an image, and the image you snap becomes part of a new ticket. 90% of the bugs my team enters would begin this way, so that makes a lot more sense to me rather than cutting and pasting an image.

Of course past this point I'd include two avenues to take the shot, one keystroke like F6 that would create the ticket when I took the snapshot, and F7 when I want to add to an existing issue. For F7, just ask for the ticket number, or a list of the most recent issues.

block

block

2006-07-17 12:45

reporter   ~0013105

If it is any help I have found (MWSNAP)http://www.mirekw.com/winfreeware/mwsnap.html

is a very useful screencapture tool.

It also can auto copy to clipboard.

jfirestone

jfirestone

2006-07-17 12:53

reporter   ~0013106

Great tool, unfortunately still no way for a screen shot tool to get the shot directly into Mantis :<

2006-09-21 10:43

 

Futureware.Mantis.Cropper.2.zip (37,867 bytes)

2007-10-20 04:10

 

Futureware.Mantis.Cropper.3.zip (85,069 bytes)
vboctor

vboctor

2007-10-20 04:18

manager   ~0015917

Attached Futureware.Mantis.Cropper.3.zip which includes the following:

  1. It works with Cropper v1.9.1.
  2. Extract the files in the zip archive into "C:\Program Files\Fusion8Design\Cropper\plugins" folder.
  3. Run Cropper and select "Send to Mantis" under the "Output" menu.
  4. Select "Options", "Plug-ins" and select "Send to Mantis", then configure the Mantis details. A sample URL:
    http://www.example.com/mantis/api/soap/mantisconnect.php
  5. Now take snapshots with Cropper and it will ask you about the issue number to attach the snapshot to, will show up the subject and will allow typing in a note to be added with the attachment.

I would love to get feedback on this tool in terms of functionality and usability.

2007-10-20 04:29

 

plugin_options_dialog.jpg (15,513 bytes)
plugin_options_dialog.jpg (15,513 bytes)

2007-10-20 04:32

 

kmazurek

kmazurek

2007-10-24 04:55

reporter   ~0015968

Well - I have MantisBT 1.0.8 installed. Works fine.
Today I downloaded MantisConnect 1.0a5 and installes all applications included with it (.Net apps) works fine. But when I wanted to user Cropper I got:

"mc_issue_attachment_add" not defined in service.
I listed available services (in WSDL) at mc/mantisconnect.php and there is no such thing.

Did I miss something in configuration??

vboctor

vboctor

2007-10-24 12:54

manager   ~0015972

Download Mantis 1.1.0rc2 and copy the api/soap folder contents on top of your current mc folder. Do a backup first :)

mcraig88

mcraig88

2007-10-24 16:41

reporter   ~0015975

This is looking awesome! How about creating a new issue? Uploading to an existing one work great.

Zander

Zander

2007-11-01 17:15

reporter   ~0016057

Hi!
I have Mantis 1.1.0rc2 and .NET Framework 2.0. MantisConnectUrl, MantisUserName and MantisPassword assigned correctly. But any MantisConnect application (Cropper, MantisFilters, etc.) show me following:
---8<--
System.Net.WebException: The request failed with HTTP status 417: Expectation Failed.
at System.Web.Services.Protocols.SoapHttpClientProtocol.ReadResponse(SoapClientMessage message, WebResponse response, Stream responseStream, Boolean asyncCall)
at System.Web.Services.Protocols.SoapHttpClientProtocol.Invoke(String methodName, Object[] parameters)
at Futureware.MantisConnect.MantisConnectWebservice.MantisConnect.mc_config_get_string(String username, String password, String config_var)
at Futureware.MantisConnect.Request.ConfigGet(String config, String& str)
at Futureware.MantisConnect.Config.Get(String config, String& str)
at Futureware.MantisConnect.Config.Get(String enumerationName, MantisEnum& enumeration)
at Futureware.MantisConnect.Config.get_StatusEnum()
at Futureware.MantisConnect.Session.Connect()
at Futureware.MantisFilters.MantisFiltersForm.MantisFiltersForm_Load(Object sender, EventArgs e)
at System.Windows.Forms.Form.OnLoad(EventArgs e)
at System.Windows.Forms.Form.OnCreateControl()
at System.Windows.Forms.Control.CreateControl(Boolean fIgnoreVisible)
at System.Windows.Forms.Control.CreateControl()
at System.Windows.Forms.Control.WmShowWindow(Message& m)
at System.Windows.Forms.Control.WndProc(Message& m)
at System.Windows.Forms.ScrollableControl.WndProc(Message& m)
at System.Windows.Forms.ContainerControl.WndProc(Message& m)
at System.Windows.Forms.Form.WmShowWindow(Message& m)
at System.Windows.Forms.Form.WndProc(Message& m)
at System.Windows.Forms.ControlNativeWindow.OnMessage(Message& m)
at System.Windows.Forms.ControlNativeWindow.WndProc(Message& m)
at System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg, IntPtr wparam, IntPtr lparam)
...
-->8--
Please, tell me, what I make wrong?

Thanks in advance!

tronics

tronics

2007-11-04 12:54

reporter   ~0016078

Probably this helps others:

First I had all the problems above when using an older Mantis version and the Mantis Connector in a custom mt/ folder from here: http://www.futureware.biz/mantisconnect/

Now with it being built in into Mantis 1.1.0rc2 these errors are gone.
So vboctor is right, just download this release and update the api/soap folder contents with these new files.

--

However I still get this error when trying to upload:
"Upload Folder '' doesn't exist."

(I have it all setup like in the dokus the newsest Mantis 1.1.0rc2 and Cropper v1.9.1 with Futureware.Mantis.Cropper.3 plugin)

--

vboctor

vboctor

2007-11-05 02:57

manager   ~0016082

Zander, if you paste the MantisConnectUrl to the browser what do you see? It should look like this one:
http://www.mantisbt.org/bugs/api/soap/mantisconnect.php

mcraig88, I am thinking of adding the feature to allow for reporting new issues rather than just supporting attaching screenshots to existing issues. The issue here is to identify the fields that should be settable when reporting such new fields. However, the feature will be added when I do more work on this tool.

tronics, are you able to attach screenshots to Mantis through the web interface? Is the upload folder set for the project you are attaching the issue to? Do you have the default upload filter set in the configuration?

tronics

tronics

2007-11-05 09:04

reporter   ~0016089

Thanks for your feedback but I couldn't yet resolve this issue.

tronics, are you able to attach screenshots to Mantis through the web interface?
Yes it works perfectly.

Do you have the default upload filter set in the configuration?
Yes no changes here.

Is the upload folder set for the project you are attaching the issue to?
See above it works through web interface. I'm not aware that I should add an uploadpath to the project and how to do that.

:(

Zander

Zander

2007-11-05 09:32

reporter   ~0016090

Last edited: 2007-11-05 09:34

vboctor, yes, I see the same. For example:
---8<---
Name: mc_version
Binding: MantisConnectBinding
Endpoint: http://www/mantis/api/soap/mantisconnect.php
SoapAction: http://www/mantis/api/soap/mantisconnect.php/mc_version
Style: rpc
Input:
use: encoded
namespace: http://futureware.biz/mantisconnect
encodingStyle: http://schemas.xmlsoap.org/soap/encoding/
message: mc_versionRequest
parts:
Output:
use: encoded
namespace: http://futureware.biz/mantisconnect
encodingStyle: http://schemas.xmlsoap.org/soap/encoding/
message: mc_versionResponse
parts:
return: xsd:string
Namespace: http://futureware.biz/mantisconnect
Transport: http://schemas.xmlsoap.org/soap/http
Documentation:
--->8---
May be, my namespace is wrong?
Thanks for help!

ChrisPapa

ChrisPapa

2007-11-20 06:30

reporter   ~0016249

Last edited: 2007-11-20 06:33

::Zander::
I had the same problem getting the "Upload Folder '' doesn't exist.".
Fortunately I could get rid of it, see the steps below.

1., I kept on getting the "Fatal error: Cannot redeclare class soapclient in F:\Program Files\xampp\htdocs\mantis\api\soap\nusoap\nusoap.php on line 7240" message, when trying to access: "http://localhost/mantis/api/soap/mantisconnect.php&quot; - it was beacuse of php tried to reinitailize the "soapclient" class, so i had to rename the class to "soapclient_" in the php code on line 6407. It can not be used anymore, but doesn't seem to be needed.
2., On the admin-pane under "[ Manage Projects ]" you have to set the "Upload File Path" for each project. [I would think, this setting is missing on your side, otherwise the "Upload Folder '' doesn't exist." error message would contain the project's upload folder.]
3., The project's file upload folder is needed, 'coz "$wwwroot$\mantis\api\soap\mc_file_api.php" on line 77 (in function "mci_file_add()") checks wether the upload path given at the project does exist on the server or not. [which is quite strange, 'coz the uploaded file gets stored in the database, instead of getting written in the project' upload file path]
So, now you have two choices:

  • in case of not wanting to modify your code, you have to create the project's file upload path under "$wwwroot$\mantis\api\soap\nusoap\" (so the "mci_file_add()" can check its existence) and you have to set "api\soap\nusoap\$previously_created_upload_directory$" for your projects
  • or you can modify "$wwwroot$\mantis\api\soap\mc_file_api.php" on line 77 with this: $t_file_path = "../../$t_file_path"; - from now each project upload path can be set to "$previously_created_upload_directory$" in that case the upload directories can be put under "$wwwroot$\mantis\"

it worked on my side,
hope it helps

ChrisPapa

ChrisPapa

2007-11-20 08:20

reporter   ~0016251

Last edited: 2007-11-20 08:21

::vbdoctor::
started using the thingy just today, it's amazing!

Is there a way to set it up to communicate through a proxy(isa) server? Or do You plan to develop an interface for configuring http connection?
Setting up the ISA-server, user, password would be great!

cemper

cemper

2007-11-20 13:08

reporter   ~0016255

Last edited: 2007-11-20 13:10

1)
When I enter the ID into the popup I get an error

<Fehler bei der Anforderung mit HTTP-Status 400: Bad Request.>

as it tries to fetch the bug note

2) also looking at the apache error logs I get something like

[Tue Nov 20 18:57:31 2007] [error] [client 1.2.4.8] request failed: erroneous characters after protocol string: <?xml version=\"1.0\" encoding=\"utf-8\"?><soap:Envelope xmlns:soap=\"http://schemas.xmlsoap.org/soap/envelope/\\&quot; xmlns:soapenc=\"http://schemas.xmlsoap.org/soap/encoding/\\&quot; xmlns:tns=\"http://futureware.biz/mantisconnect\\&quot; xmlns:types=\"http://futureware.biz/mantisconnect/encodedTypes\\&quot; xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\\&quot; xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\\&quot;>&lt;soap:Body soap:encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\\&quot;>&lt;tns:mc_issue_get>&lt;username xsi:type=\"xsd:string\">myuser</username><password xsi:type=\"xsd:string\">mypassword3</password><issue_id xsi:type=\"xsd:integer\">9</issue_id></tns:mc_issue_get></soap:Body></soap:Envelope>POST /mantis/webservice/mantisconnect.php HTTP/1.1

Any idea what's going wrong here?

I tried disabling mod_security, but that didn'T help

see screenshot at
CropperCapture[10].jpg [^] (24,421 bytes) 2007-11-20 13:09

2007-11-20 13:09

 

CropperCapture[10].jpg (24,421 bytes)
CropperCapture[10].jpg (24,421 bytes)
user0815

user0815

2008-01-07 09:04

reporter   ~0016577

Last edited: 2008-01-07 09:16

Some errors are solved with: 0008695

DaVinci

DaVinci

2008-02-29 10:03

reporter   ~0017219

is there a way to inegrate it inside Mantis?
i mean...can we somehow have a link called Cropper andwhen we click on it it opens up/activates Cropper and then we can send the screenshots to mantis?

boesman

boesman

2008-03-27 09:37

reporter   ~0017477

Works great, nice tool. But I agree it would be nice to be able to create a new bug.

What about this option: To give an option to copy the link to file the bug report page that is not yet saved. This should be relatively easy to do with

  1. specifying the browser being used or
  2. Firefox plugin

????

thE_iNviNciblE

thE_iNviNciblE

2008-04-11 03:41

reporter   ~0017586

Really nice :-)

djcarr

djcarr

2008-04-24 20:50

reporter   ~0017685

Last edited: 2008-04-24 20:53

Cropper 1.9.1, Mantis 1.1.1

Followed instructions as per note 15917 and it works; leaving the dialog open long enough causes the issue summary to be retrieved, and the screenshot DOES get appended to the Mantis issue.

However, after clicking the "OK" button in Cropper, I get a messagebox with the title "Failure" and the words "Access Denied". Does anyone know what the cause of this is?

gfantone

gfantone

2008-06-04 04:05

reporter   ~0018002

Hello,
Great pluggins Victor Boctor !
whith the mantis 1.1.1 when using Disk attachement method we have an error message "Upload folder XXX doesn't exist.", And I think it's because the bug 8695 is resolved.
Thanks

jmoger

jmoger

2008-08-05 12:00

reporter   ~0019041

IF you enter an optional note....

1.1.1: Works
1.1.2: Fails because bugnote_api.php:bugnote_add references an undefined variable ($p_send_email) at the end of the function.
1.2.0a2: Fixes this with a new function parameter ($p_send_email).

I added the parameter locally to my 1.1.2 setup and it now works as expected.

ghohm

ghohm

2008-08-12 09:51

reporter   ~0019122

Jmoger, could you be more accurate?

What does it mean: "I added the parameter locally to my 1.1.2 setup"???

Thanks

Gôm

ghohm

ghohm

2008-08-12 10:14

reporter   ~0019124

I found the answer by myself! ;-)

http://mantisbt.svn.sourceforge.net/viewvc/mantisbt/branches/BRANCH_1_1_0/mantisbt/core/bugnote_api.php?r1=5370&amp;r2=5407

<u>Source:</u> http://www.mantisbt.org/bugs/view.php?id=9309#bugnotes (last note)

jmoger

jmoger

2008-08-12 10:20

reporter   ~0019125

1.1.2 Function Header which is missing the $p_send_email parameter (Line 102):
The missing parameter is referenced on line 167.
http://mantisbt.svn.sourceforge.net/viewvc/mantisbt/tags/RELEASE_1_1_2_20080617/core/bugnote_api.php?annotate=5370

My bad about this being fixed in 1.2.0a1. Its fixed in 1.2.0a2.

Trunk Function Header which includes the $p_send_email parameter (Line 107):
http://mantisbt.svn.sourceforge.net/viewvc/mantisbt/tags/RELEASE_1_2_0a2_20080804/core/bugnote_api.php?annotate=5494

piccolobill

piccolobill

2009-12-30 04:44

reporter   ~0024012

Last edited: 2009-12-30 05:27

View 2 revisions

I've a problem.

I can upload to mantis, but when I want to download file...error

SYSTEM WARNING: Cannot modify header information - headers already sent by (output started at F:\wamp\www\mantis\file_download.php:172)

also thumbnail didn't work

the content of jpg file is:
<p style="color:red">SYSTEM WARNING: Cannot modify header information - headers already sent by (output started at F:\wamp\www\mantis\file_download.php:172)</p>

nusrath

nusrath

2010-03-02 11:17

reporter   ~0024598

Even I am facing the same problem as Piccolobill.

I have used three different Croppers to attach images to mantis. I am able to attach the images in all three, however, when I download the image it is blank with just <Ñ displayed.

I guess it is some parsing error where the api is unable to handle jpg or png images.

Any updates?

nusrath

nusrath

2010-03-03 10:48

reporter   ~0024611

Solution:

The Mantis SOAP API expects the attachement to be encoded before attaching. Therefore, when you try to download it from the Hyperlink, it decodes the attachment and displayes on our screen.

When we use a Cropper, the cropper does not Encode the Image when attaching to the bug using Mantisconnect, therefore, when we download it, its decodes the un-encoded file, thus returning garbage value <N or x within the file.

Tweak:

Change the following lines within .\api\soap\mc_issue_attachment_api file

#Existing:
return mci_file_add( $p_issue_id, $p_name, base64_decode( $p_content ), $p_file_type, 'bug' );

#Modification
return mci_file_add( $p_issue_id, $p_name, $p_content , $p_file_type, 'bug' );

Thus now if you try to attach any file using the cropper, it would attach correctly.

Cheers

piccolobill

piccolobill

2010-03-03 12:10

reporter   ~0024614

Last edited: 2010-03-03 12:23

View 2 revisions

IT WORKS!!!!
Thank you!

david_s_nl

david_s_nl

2010-03-25 16:49

reporter   ~0024911

@nusrath:
I had the same problem on 1.2.0, and your modification fixed it for me aswell.

Thanks alot.

optician

optician

2010-06-15 11:37

reporter   ~0025860

Hi, this looks great, but we really need the ability to add a new bug directly from the tool. Is there any chance you would release the source to the plug in?

Thanks very much for the hard work.

Grizzly

Grizzly

2010-07-23 04:23

reporter   ~0026122

Thank you!

I need to save picture in PNG. Can it?
Why file name should be entered twice?

jseitz

jseitz

2010-10-11 11:59

reporter   ~0027007

Last edited: 2010-10-11 12:09

View 2 revisions

Hi,

we just tried to get it to work with Mantis 1.2.0rc1, but it always says
<Der Objektverweis wurde nicht auf eine Objektinstanz festgelegt.>
(Object link not set to an object.)
in the issue summary, when we try to upload.

Can anyone confirm that the plugin still works with mantis >=1.2 and cropper 1.9?

TomR

TomR

2011-01-03 09:02

reporter   ~0027781

Last edited: 2011-01-03 09:11

View 2 revisions

I can use Cropper with 1.2.0, but are unable to use it with 1.2.3 and 1.2.4

It is about misformed XML: 0x1A is a invalid character: Line 19, position 1.

How can this be solved?

TomR

TomR

2011-03-25 03:58

reporter   ~0028474

Anyone. We heavinly rely on the use of Cropper, and this is preventing us to update.

TomR

TomR

2011-04-22 06:06

reporter   ~0028689

I sponsor this if someone could solve my problem!

TomR

TomR

2011-07-14 17:01

reporter   ~0029171

Finally ( with thanks to Tim Schoondergang of TimmiT.nl ) the solution is found.

Problem is in function mci_file_add in mc_file_api.php:

The last value in line 119 should been quoted:

$query = "INSERT INTO $t_file_table
(" . $p_table . "_id, title, description, diskfile, filename, folder, filesize, file_type, date_added, content)
VALUES
($c_id, '$c_title', '$c_desc', '$c_disk_file_name', '$c_new_file_name', '$c_file_path', $c_file_size, '$c_file_type', '" . db_now() . "', '$c_content')";

cas

cas

2011-07-15 03:22

reporter   ~0029174

We actually should have something less dependant of Windows/.net

spacomp

spacomp

2011-08-22 04:59

reporter   ~0029527

We have mantis running in LINUX platform, does this plugin be customized to work?

Also, a link to initiate the image capture would be of great help.

TomR

TomR

2012-04-19 06:16

reporter   ~0031694

Last edited: 2012-04-19 06:16

View 2 revisions

Can someone point me out where I should look for the code responsible for adding a Note from Cropper to Mantis. It is added as 'private' and I would like to add to Note as 'public'.

gr8tushar

gr8tushar

2013-07-31 09:32

reporter   ~0037580

Hi,
The plugin isn't working for me. It gives an error saying Access denied. Can you release the plugin as open source so that I can look into it. More over I would also like to append it to report new issues.

Issue History

Date Modified Username Field Change
2006-05-08 08:01 vboctor New Issue
2006-05-08 08:01 vboctor Assigned To => vboctor
2006-05-08 08:01 vboctor File Added: Futureware.Mantis.Cropper.zip
2006-05-08 08:09 vboctor Description Updated
2006-05-08 08:23 vboctor Description Updated
2006-05-19 00:06 kgrubbs Note Added: 0012877
2006-05-19 04:29 romat Note Added: 0012878
2006-05-21 10:33 vboctor Note Edited: 0012878
2006-05-31 13:28 pardini Note Added: 0012920
2006-05-31 17:38 jfirestone Note Added: 0012921
2006-07-17 12:45 block Note Added: 0013105
2006-07-17 12:53 jfirestone Note Added: 0013106
2006-07-17 19:35 chillax Relationship added related to 0007288
2006-09-21 10:43 vboctor File Added: Futureware.Mantis.Cropper.2.zip
2007-10-20 04:10 vboctor File Added: Futureware.Mantis.Cropper.3.zip
2007-10-20 04:18 vboctor Note Added: 0015917
2007-10-24 04:55 kmazurek Note Added: 0015968
2007-10-24 12:54 vboctor Note Added: 0015972
2007-10-24 16:41 mcraig88 Note Added: 0015975
2007-11-01 17:15 Zander Note Added: 0016057
2007-11-04 12:54 tronics Note Added: 0016078
2007-11-05 02:57 vboctor Note Added: 0016082
2007-11-05 09:04 tronics Note Added: 0016089
2007-11-05 09:32 Zander Note Added: 0016090
2007-11-05 09:34 Zander Note Edited: 0016090
2007-11-20 06:30 ChrisPapa Note Added: 0016249
2007-11-20 06:33 ChrisPapa Note Edited: 0016249
2007-11-20 08:20 ChrisPapa Note Added: 0016251
2007-11-20 08:21 ChrisPapa Note Edited: 0016251
2007-11-20 13:08 cemper Note Added: 0016255
2007-11-20 13:09 cemper File Added: CropperCapture[10].jpg
2007-11-20 13:10 cemper Note Edited: 0016255
2007-12-10 07:07 ryandesign Relationship added related to 0008659
2007-12-10 07:09 ryandesign Relationship added related to 0005015
2008-01-07 09:04 user0815 Note Added: 0016577
2008-01-07 09:15 user0815 Note Edited: 0016577
2008-01-07 09:16 user0815 Note Edited: 0016577
2008-02-29 10:03 DaVinci Note Added: 0017219
2008-03-27 09:37 boesman Note Added: 0017477
2008-04-11 03:41 thE_iNviNciblE Note Added: 0017586
2008-04-24 20:50 djcarr Note Added: 0017685
2008-04-24 20:53 djcarr Note Edited: 0017685
2008-06-04 04:05 gfantone Note Added: 0018002
2008-07-24 14:17 vboctor Status new => acknowledged
2008-07-28 14:06 grangeway Relationship replaced has duplicate 0005015
2008-08-05 12:00 jmoger Note Added: 0019041
2008-08-12 09:51 ghohm Note Added: 0019122
2008-08-12 10:14 ghohm Note Added: 0019124
2008-08-12 10:20 jmoger Note Added: 0019125
2009-07-28 09:19 vboctor Assigned To vboctor =>
2009-12-30 04:44 piccolobill Note Added: 0024012
2009-12-30 05:27 piccolobill Note Edited: 0024012 View Revisions
2010-03-02 11:17 nusrath Note Added: 0024598
2010-03-03 10:48 nusrath Note Added: 0024611
2010-03-03 12:10 piccolobill Note Added: 0024614
2010-03-03 12:23 piccolobill Note Edited: 0024614 View Revisions
2010-03-25 16:49 david_s_nl Note Added: 0024911
2010-06-15 11:37 optician Note Added: 0025860
2010-07-23 04:23 Grizzly Note Added: 0026122
2010-09-03 08:56 atrol Relationship added related to 0010739
2010-09-27 11:37 atrol Relationship added related to 0012406
2010-10-11 11:59 jseitz Note Added: 0027007
2010-10-11 12:09 jseitz Note Edited: 0027007 View Revisions
2011-01-03 09:02 TomR Note Added: 0027781
2011-01-03 09:11 TomR Note Edited: 0027781 View Revisions
2011-03-25 03:58 TomR Note Added: 0028474
2011-04-22 06:05 TomR Sponsorship Added TomR: US$ 10
2011-04-22 06:05 TomR Sponsorship Total 0 => 10
2011-04-22 06:06 TomR Note Added: 0028689
2011-07-14 17:01 TomR Note Added: 0029171
2011-07-15 03:22 cas Note Added: 0029174
2011-08-22 04:59 spacomp Note Added: 0029527
2012-04-19 06:16 TomR Note Added: 0031694
2012-04-19 06:16 TomR Note Edited: 0031694 View Revisions
2013-07-31 09:32 gr8tushar Note Added: 0037580
2013-08-16 04:38 hero2289 Tag Attached: closed
2013-08-16 06:33 atrol Tag Detached: closed